package com.dayou.service;
import com.dayou.dto.PaymentDetailDTO;
import com.dayou.entity.BrokerageVariable;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 浮动提成 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-04-14
 */
public interface IBrokerageVariableService extends IService<BrokerageVariable> {

        Page<BrokerageVariable> selectPage(Page page,BrokerageVariable brokerageVariable);

        BrokerageVariable detail(Long id);

        Boolean add(BrokerageVariable brokerageVariable);

        Boolean update(BrokerageVariable brokerageVariable);

        Boolean delete(Long id);

    List<PaymentDetailDTO> getPaymentDetailListByItemId(Long id,Long userId);

    List<BrokerageVariable> getCompensationBrokerage(Long userId,Long generalId);
}
